" Vim syntax file
"
" Language:     Diff
" Maintainer:   Simon Ruderich <simon@ruderich.org>
" License:      GPL v3+

" Copyright (C) 2012  Simon Ruderich
"
" This file is free software: you can redistribute it and/or modify
" it under the terms of the GNU General Public License as published by
" the Free Software Foundation, either version 3 of the License, or
" (at your option) any later version.
"
" This file is distributed in the hope that it will be useful,
" but WITHOUT ANY WARRANTY; without even the implied warranty of
" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
" GNU General Public License for more details.
"
" You should have received a copy of the GNU General Public License
" along with this file.  If not, see <http://www.gnu.org/licenses/>.


" Color added/removed lines in the diff header the same color as added/removed
" lines.
syntax match diffAdded   /^+++ .*$/
syntax match diffRemoved /^--- .*$/
" Dedicated group for hunks.
syntax match diffHunk    /^@.*$/ contains=diffSubname

" Special colors for filename and hunk.
highlight diffFile    ctermfg=yellow  cterm=bold  guifg=yellow  gui=bold
highlight diffHunk    ctermfg=magenta cterm=bold  guifg=magenta gui=bold
" Added lines in green, removed lines in red.
highlight diffAdded   ctermfg=green   cterm=bold  guifg=green   gui=bold
highlight diffRemoved ctermfg=red     cterm=bold  guifg=red     gui=bold
